# Enum Paint.Style

java.lang.Object
java.lang.Enum<Paint.Style>
com.codename1.charts.compat.Paint.Style

All Implemented Interfaces:
  `Comparable<Paint.Style>`

Enclosing class:
  `Paint`

public static enum Paint.Style extends Enum<Paint.Style>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILL`
  `FILL_AND_STROKE`
  `STROKE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Paint.Style`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Paint.Style[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `final int`
  `compareTo(Paint.Style e)`
  Compares this object to the specified object to determine their relative order.
  `final boolean`
  `equals(Object other)`
  Indicates whether some other object is "equal to" this one.
  `final Class<Paint.Style>`
  `getDeclaringClass()`
  `protected static final <T> T[]`
  `getEnumValues(Class<T> class_)`
  `final int`
  `hashCode()`
  Returns a hash code value for the object.
  `final String`
  `name()`
  `final int`
  `ordinal()`
  `protected static final void`
  `setEnumValues(Object[] values, Class c)`
  `String`
  `toString()`
  Returns a string representation of the object.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumType, String name)`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### FILL

    public static final Paint.Style FILL

  - ### FILL_AND_STROKE

    public static final Paint.Style FILL_AND_STROKE

  - ### STROKE

    public static final Paint.Style STROKE

- ## Method Details

  - ### values

    public static Paint.Style[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Paint.Style valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null